Instalacja programu z .tar.gz


(Patrax) #1

Witam. Od niedawna korzystam z linuxa i chciałbym się dowiedzieć co to jest .tar.gz i jak z tego zainstalować program w linux mint. Pobrałem program stellarium z głównej strony i nie wiem jak się za to zabrać. Sorry że się pytam takich rzeczy ale to są moje początki z linuxem. Z góry dziękuje za odpowiedzi. 


(Amaterasu) #2

http://askubuntu.com/questions/25961/how-do-i-install-a-tar-gz-or-tar-bz2-file


(Patrax) #3

niestety ale to nie działa wpisuje te komendy w terminalu i piszę że  “Nie ma takiego pliku ani katalogu”  oraz dalej nie wiem co to takiego .tar.gz 


(maciekk26) #4

też mam ten problem…ale tutaj oczekiwać na odpowiedź to wiesz wieki miną


(Amaterasu) #5

https://pl.m.wikipedia.org/wiki/Tar_(informatyka

tar.gz to jeden z typów archiwum służący do przechowywania i archiwizacji danych. Coś jak .zip lub .rar, lecz znacznie popularniejszy na Linuksach. Możesz pliki z niego wypakować za pomocą programu engrampa.


(Drobok) #6

Jak możesz oczekiwać odpowiedzi skoro nie podałeś żadnych informacji ? 

tar xjf nazwa_pliku.tar.bz2

Potem kolejno:

./configure
make
sudo make install

Z tym że każda komenda może ci wrzucić błąd :)

 

ps: wszystko zazwyczaj jest w readme danego programu, wystarczy wypakować i przeczytać


(Amaterasu) #7

Tutaj masz instrukcję na oficjalnej wiki Stellarium: http://stellarium.org/wiki/index.php/Compilation_on_Linux

Ludzie, nie po to twórcy dodają do tar.gz README oraz INSTALL, żeby z nich nie skorzystać.


(banita71) #8

Instalowanie programów w Linuxie


(dr.boczek) #9

z tar.gz się nie instaluje tylko kompiluje, wbrew pozorom to wcale nie jest proste i łatwiej jest przeszukać repozytorium w poszukiwaniu gotowego pakietu. Prawdopodobnie ściągnąłeś pliki źródłowe programu, musisz mieć w systemie wcześniej zainstalowane wszystkie niezbędne biblioteki i narzędzia programistyczne i jakąkolwiek wiedzę o linuxie. Nie polecam tego sposobu początkującym użytkownikom.


(banita71) #10

Proponuję abyś czas oczekiwania na odpowiedź wykorzystał na pomoc innym. Jak widzisz pojawiło się trochę odpowiedzi i wbrew temu co zasugerowałeś nie trwało to wieki.


(ubuuser) #11

Autor tematu nie wie, że stellarium może zainstalować jednym, krótkim poleceniem sudo apt-get install stellarium,

albo wie o tym, lecz zależy mu na najnowszej wersji, niedostępnej w repozytorium.


(maciekk26) #12

nie każdy zna angielski…trudno wytłumaczyć??


(system) #13

Zbyt częsty lub długi kontakt z systemami Microsoft powoduje "analfabetyzm funkcjonalny"

Nawet w paczce .tar.gz jest napisane:

"- LINUX USERS :

http://www.stellarium.org/pl/  — https://launchpad.net/~stellarium/+archive/ubuntu/stellarium-releases

Dopiero w przypadku gdy pod daną dystrybucję nie ma gotowca lub gdy ktoś lubi albo chce (potrafi). Instaluje (kompiluje) się z stellarium-0.12.0.tar.gz

 


(bachus) #14

Forum to przywilej a nie obowiązek.

Jaki jest powód, że nie możesz zainstalować gotowca z repozyorium?


(banita71) #15

Proszę bardzo. Używanie translatora Google wcale nie jest takie trudne.

Instalowanie programów w Linuxie


(system) #16

Tu nie ma co rozpatrywać czy ktoś zna angielski czy nie.

Bez anglika to można sobie… w google dłubać i oglądać obrazki jak pięknie może wyglądać system.

Poszerzając mój poprzedni wpis:

Łopatologia jak skompilować:

http://stellarium.org/wiki/index.php/Compilation_on_Linux


(Amaterasu) #17

Nie ma pewnie w Centrum Oprogramowania (Software Manager lub cokolwiek innego), a instalacja za pomocą Terminala to czarna magia.

Nikt Ci nie będzie tego tłumaczył - od tego jest Google Translate. Ewentualnie zainstaluj aplikację na telefon pod nazwą Duolingo i się naucz tego najpopularniejszego języka na świecie ;). Nikt przez całe życie nie będzie Cię za rączkę trzymać.


(ubuuser) #18

Z tym translatorem to raczej ostrożnie, bo początkujący chcąc zaktualizować system będzie za translatorem uparcie wpisywał w konsoli polecenie:

Aktualizacja sudo apt-get


(banita71) #19

Początkujący zanim rozpocznie przygodę Linuxem niech sobie najpierw przyswoi podstawy języka angielskiego.


(Patrax) #20

Czy ja coś napisałem że nie znam angielskiego? jeśli chodzi o angielski to go znam :slight_smile: nie wymyślajcie historyjek o translatorach i jaki to angielski “trudna język”. Szukałem to w google lecz nie znalazłem odpowiedzi, dlatego przyszedłem tutaj. Zależy mi najnowszej wersji, której nie ma w repozytorium,  ponieważ  wersji 0.14.3 jest kilka przydatnych funkcji których nie ma w starej wersji.